Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 721394

Summary: sys-apps/moreutils calls cc directly
Product: Gentoo Linux Reporter: Agostino Sarubbo <ago>
Component: Current packagesAssignee: Sam James <sam>
Status: RESOLVED FIXED    
Severity: normal CC: proxy-maint
Priority: Normal Keywords: PullRequest
Version: unspecified   
Hardware: All   
OS: Linux   
See Also: https://github.com/gentoo/gentoo/pull/15703
https://github.com/gentoo/gentoo/pull/16127
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 243502    
Attachments: build.log

Description Agostino Sarubbo gentoo-dev 2020-05-07 08:33:25 UTC
This is an auto-filled bug because sys-apps/moreutils calls cc directly.
The issue was originally discovered on arm64, but it may be reproducible on other arches as well.
If you think that a different summary clarifies the issue better, feel free to change it.
Attached build log and emerge --info.

NOTE:
If you think it doesn't make sense fix these type of issues, I'd like to point out that won't be possible use a different CC implementation (like clang) by setting the CC variable. So this issue has been reproduced by setting the CC variable to aarch64-unknown-linux-gnu-gcc and by removing the /usr/bin/cc - /usr/bin/gcc binaries.
Comment 1 Agostino Sarubbo gentoo-dev 2020-05-07 08:33:35 UTC
Created attachment 636672 [details]
build.log

build log and emerge --info
Comment 2 Larry the Git Cow gentoo-dev 2020-05-09 13:48:44 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=47abea9b09a67cdb87fb316c5bbb131987d6b247

commit 47abea9b09a67cdb87fb316c5bbb131987d6b247
Author:     Sam James (sam_c) <sam@cmpct.info>
AuthorDate: 2020-05-08 03:01:45 +0000
Commit:     Thomas Deutschmann <whissi@gentoo.org>
CommitDate: 2020-05-09 13:48:22 +0000

    sys-apps/moreutils: Respect compiler environment
    
    Now respects CC as well as CFLAGS.
    
    This patch is taken from upstream, not yet in
    a release.
    
    Thanks-to: Agostino Sarubbo <ago@gentoo.org>
    Closes: https://bugs.gentoo.org/721394
    Package-Manager: Portage-2.3.99, Repoman-2.3.22
    Signed-off-by: Sam James (sam_c) <sam@cmpct.info>
    Closes: https://github.com/gentoo/gentoo/pull/15703
    Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>

 .../files/moreutils-0.63-respect-env.patch         | 38 ++++++++++++++++++++++
 sys-apps/moreutils/moreutils-0.63.ebuild           |  6 +++-
 2 files changed, 43 insertions(+), 1 deletion(-)
Comment 3 Larry the Git Cow gentoo-dev 2020-06-10 01:26:27 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b342296b4e4e4e4663f3ec4507f25bcdfcceedb8

commit b342296b4e4e4e4663f3ec4507f25bcdfcceedb8
Author:     Sam James (sam_c) <sam@cmpct.info>
AuthorDate: 2020-06-08 07:53:11 +0000
Commit:     Thomas Deutschmann <whissi@gentoo.org>
CommitDate: 2020-06-10 01:25:37 +0000

    sys-apps/moreutils: Respect CC
    
    In 47abea9b0, we took the upstream patch,
    without noticing that the original (non-upstream) one
    fixed respecting CC too, while upstream's did not.
    
    This fixes the patch accordingly.
    
    Closes: https://bugs.gentoo.org/727480
    Bug: https://bugs.gentoo.org/721394
    Package-Manager: Portage-2.3.99, Repoman-2.3.22
    Signed-off-by: Sam James (sam_c) <sam@cmpct.info>
    Closes: https://github.com/gentoo/gentoo/pull/16127
    Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>

 .../files/moreutils-0.63-respect-env.patch         | 25 +++++-----------------
 sys-apps/moreutils/moreutils-0.63.ebuild           |  2 +-
 2 files changed, 6 insertions(+), 21 deletions(-)